summaryrefslogtreecommitdiffstats
path: root/libraries/libssh
diff options
context:
space:
mode:
author Larry Hajali2010-05-13 00:31:55 +0200
committer Erik Hanson2010-05-13 00:31:55 +0200
commitd9b20548fb9c23354bcda61c27bccec44ade6b94 (patch)
treed144d7a01d965249aecf7a97c2578ce35fd68bbd /libraries/libssh
parent7d93f3f9400f1b78653096f99c1193531b2d7ebe (diff)
downloadslackbuilds-d9b20548fb9c23354bcda61c27bccec44ade6b94.tar.gz
libraries/libssh: Updated for version 0.4.1
Diffstat (limited to 'libraries/libssh')
-rw-r--r--libraries/libssh/README10
-rw-r--r--libraries/libssh/libssh.SlackBuild53
-rw-r--r--libraries/libssh/libssh.info14
-rw-r--r--libraries/libssh/slack-desc18
4 files changed, 52 insertions, 43 deletions
diff --git a/libraries/libssh/README b/libraries/libssh/README
index 69482f47e0..0b23cc8d2e 100644
--- a/libraries/libssh/README
+++ b/libraries/libssh/README
@@ -1,10 +1,10 @@
-libssh is a library designed to be used by programmers needing a working
+libssh is a library designed to be used by programmers needing a working
SSH implementation by means of a library. The complete control of the client
-is made by the programmer. With libssh, you can remotely execute programs,
+is made by the programmer. With libssh, you can remotely execute programs,
transfer files, use a secure and transparent tunnel for your remote programs.
-With its Secure FTP implementation, you can play with remote files easily,
+With its Secure FTP implementation, you can play with remote files easily,
without third-party programs others than libcrypto (from openssl).
-libssh features SSH1 and SSH2 portocols and support for AES-128, AES-192,
-AES-256, blowfish, and 3DES encryption.
+libssh features : SSH1 and SSH2 portocols and support for AES-128,AES-192,
+AES-256,blowfish,3DES encryption.
Note: libssh is neither related to nor conflicts with libssh2.
diff --git a/libraries/libssh/libssh.SlackBuild b/libraries/libssh/libssh.SlackBuild
index 3ad437c5a9..7855956498 100644
--- a/libraries/libssh/libssh.SlackBuild
+++ b/libraries/libssh/libssh.SlackBuild
@@ -5,7 +5,7 @@
# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
PRGNAM=libssh
-VERSION=${VERSION:-0.2}
+VERSION=${VERSION:-0.4.1}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -17,10 +17,13 @@ OUTPUT=${OUTPUT:-/tmp}
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
set -e
@@ -29,7 +32,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xvf $CWD/$PRGNAM-$VERSION.tgz
+tar zxvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
find . \
@@ -38,36 +41,40 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --sysconfdir=/etc \
- --localstatedir=/var \
- --mandir=/usr/man \
- --enable-ssh1 \
- --disable-static \
- --build=$ARCH-slackware-linux
+mkdir build
+cd build
+ cmake \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DWITH_GCRYPT=1 \
+ -DWITH_SSH1=1 \
+ -DWITH_PCAP=1 \
+ -DWITH_SFTP=1 \
+ -DWITH_SERVER=1 \
+ -DWITH_STATIC_LIB=0 \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release ..
-make
-make install DESTDIR=$PKG
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd -
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
-
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS CHANGELOG COPYING README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS BSD ChangeLog COPYING INSTALL README doc/{API*,libssh*.txt} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libssh/libssh.info b/libraries/libssh/libssh.info
index 09e9831f01..33b1a78e99 100644
--- a/libraries/libssh/libssh.info
+++ b/libraries/libssh/libssh.info
@@ -1,8 +1,10 @@
PRGNAM="libssh"
-VERSION="0.2"
-HOMEPAGE="http://0xbadc0de.be/wiki/libssh:libssh"
-DOWNLOAD="http://0xbadc0de.be/libssh/libssh-0.2.tgz"
-MD5SUM="8a76c03579a3e27046e6bafe88ffd171"
+VERSION="0.4.1"
+HOMEPAGE="http://www.libssh.org/"
+DOWNLOAD="http://www.libssh.org/files/libssh-0.4.1.tar.gz"
+MD5SUM="258402bf1fabf664daeba4e5fc7a8d09"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
MAINTAINER="Larry Hajali"
-EMAIL="larryhaja[at]gmail[dot]com"
-APPROVED="rworkman"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="Erik Hanson"
diff --git a/libraries/libssh/slack-desc b/libraries/libssh/slack-desc
index 4580099ca9..a1a8a3e524 100644
--- a/libraries/libssh/slack-desc
+++ b/libraries/libssh/slack-desc
@@ -7,13 +7,13 @@
|-----handy-ruler------------------------------------------------------|
libssh: libssh (A library for ssh)
-libssh:
libssh: A library for accessing ssh client services through C libraries calls
-libssh: in a simple manner. SSH library features C library functions for
-libssh: manipulating a client-side SSH; fully configurable sessions; support
-libssh: or AES-128, AES-192, AES-256, blowfish, in cbc mode; support for use
-libssh: of multiple SSH connections in the same process at the same time;
-libssh: a usable SFTP implementation; both public key and password auth
-libssh:
-libssh: Homepage: http://0xbadc0de.be/
-libssh:
+libssh: in a simple manner.
+libssh: SSH library features:
+libssh: - C library functions for manipulating a client-side SSH
+libssh: - Fully configurable sessions
+libssh: - Support for AES-128,AES-192,AES-256,blowfish, in cbc mode
+libssh: - Use multiple SSH connections in a same process at same time
+libssh: - Usable SFTP implementation
+libssh: - Public key and password authentication
+libssh: Homepage: http://www.libssh.org/